<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */
/** @var \common\models\LoginForm $model */

use backend\assets\AppAsset;
use yii\widgets\LinkPager;
use yii\bootstrap5\ActiveForm;

AppAsset::register($this);

$this->title = 'Exam Center Readiness';
$url = \Yii::getAlias('@webroot');
$u = explode('/', $url);
$baseurl = Yii::$app->params['BASE_PATH_URL'];
?>
<div class="login-5 mt-50 mb-50">
    <div class="row">
        <!-- <div class="col-sm-4">
            </?= $this->render('@app/modules/dashboard/views/dashboard/left-side') ?>
        </div> -->
        <div class="col-sm-12">
            <div class="content-body">
                <div class="tab-content">
                    <div class="tab-pane active">
                        <div class="row no-gutters">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header  d-flex justify-content-between">
                                        <span href="#" class="font-weight-bold fs-5"><?= Yii::$app->masterdata->getExamNameByID($AssignedExamID)['Exam Name'] ?> Report</span>

                                    </div>

                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table class="table-bordered table-striped" width="100%">
                                                <thead>
                                                    <tr>
                                                        <th>S.No</th>
                                                        <th>User ID</th>
                                                        <th>Email</th>
                                                        <th>Mobile</th>
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php


                                                    $k = 1;
                                                    if (isset($checkedList) && !empty($checkedList) && count($checkedList) > 0) {
                                                        foreach ($checkedList as $data) {
                                                            $status = Yii::$app->request->get('status');
                                                            $userID = ($status == 1) ? $data['UserID'] : $data;
                                                            $PersonalData = Yii::$app->masterdata->getMobileEmailByUserID($userID);

                                                    ?>
                                                            <tr>
                                                                <td><?= $k++; ?></td>

                                                                <td><?= $userID ?? ''; ?></td>
                                                                <td><?= $PersonalData['Center_Head_Email'] ?? ''; ?></td>
                                                                <td><?= $PersonalData['Center_Head_Number'] ?? ''; ?></td>
                                                                <td>
                                                                <?php if(isset($data['ID']) && !empty($data['ID'])){?>
                                                                    <a href="<?= $baseurl . '/prexamphase/answersheetcollection/view?id=' . urlencode(Yii::$app->masterdata->encrypt($data['ID'], Yii::$app->params['encryptionKey'])) ?>" class="btn btn-warning custom-white-text">View</a>
                                                                <?php }else{
                                                                    echo " - ";
                                                                }
                                                                ?>
                                                                </td>

                                                            </tr>
                                                        <?php }
                                                    } else { ?>

                                                        <tr>
                                                            <td colspan="9" class="text-center">Data not found !</td>
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>
                                            </table>
                                            <br />
                                            <!-- <div id="pagination">
                                                </?php
                                                if ($Pagination !== null) {
                                                    echo LinkPager::widget([
                                                        'pagination' => $Pagination,
                                                        'prevPageLabel' => 'Previous',
                                                        'nextPageLabel' => 'Next',
                                                        'linkContainerOptions' => ['class' => 'page-item'],
                                                        'linkOptions' => ['class' => 'page-link'],
                                                        'disabledPageCssClass' => ['class' => 'page-link'],
                                                        'options' => ['class' => 'pagination  pagination-sm d-flex justify-content-end mb-3']
                                                    ]);
                                                }
                                                ?> -->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
<script>
    function getloader() {
        $('.overlay').show();
        $('#state-form').submit();
    }
</script>