<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */
/** @var \common\models\LoginForm $model */

use yii\bootstrap5\Html;
use edwinhaq\simpleloading\SimpleLoading;
use yii\bootstrap5\ActiveForm;
use yii\web\UploadedFile;
use backend\assets\AppAsset;

AppAsset::register($this);
$this->title = 'Exam Center Readiness';
$url = \Yii::getAlias('@webroot');
$u = explode('/', $url);
$baseurl = Yii::$app->params['BASE_PATH_URL'];
?>
<style>
    .checkbox-container {
        display: flex;
        align-items: center;
        /* Align vertically */
    }

    .checkbox-container input[type="checkbox"] {
        margin-right: 10px;
        /* Add space between the checkbox and label */
        transform: scale(1.2);
        /* Optional: Scale the checkbox size */
    }

    .form-control {
        height: 40px !important;
    }
    /* Font size for the selected item */
    .select2-container--default .select2-selection--single .select2-selection__rendered {
        font-size: 16px; /* Change this to your desired font size */
    }

    /* Font size for the dropdown options */
    .select2-container--default .select2-results__option {
        font-size: 16px; /* Change this to your desired font size */
    }

</style>

<!-- Add the following in the <head> section of your layout file -->
<div class="login-5 mt-50 mb-50">
    <div class="row">
        <div class="col-sm-12">
            <div class="content-body">
                <div class="tab-content">
                    <div class="tab-pane active">
                        <div class="row no-gutters">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header">
                                        <span href="#" class="font-weight-bold fs-5">Exam Center Readiness</span>
                                    </div>
                                    <div class="card-body">
                                        <div class="custom-form">
                                            <?php $form = ActiveForm::begin(['id' => 'exam-form', 'method' => 'post', 'action' => '', 'action' => '', 'options' => ['autocomplete' => 'off']]); ?>
                                            <div class="row">
                                                <div class="form-group col-4">
                                                    <?php echo $form->field($model, 'ExamID')->dropDownList($assignedExam, ['prompt' => '--Select--', 'id' => 'ExamID', 'class' => 'form-select form-select-lg '])->label('Exam Name <span style="color: red;">*</span>') ?>
                                                </div>
                                                <div class="form-group col-4">
                                                    <?php echo $form->field($model, 'ExamDate')->dropDownList($ExamDate, ['prompt' => '--Select--', 'id' => 'ExamDate', 'class' => 'form-select form-select-lg', 'value' => date('d-m-Y', strtotime($model->ExamDate))])->label('Exam Date <span style="color: red;">*</span>') ?>

                                                </div>

                                                <div class="form-group col-4">
                                                    <?php echo $form->field($model, 'ExamShift')->dropDownList($ExamShift, ['prompt' => '--Select--', 'id' => 'ExamShift', 'class' => 'form-select form-select-lg selectBoxMultiple', 'multiple' => 'multiple'])->label('Exam Shift <span style="color: red;">*</span>') ?>
                                                </div>

                                                <div class="col-md-4 form-group">
                                                    <?= $form->field($model, 'No_of_Seats')->textInput(['maxlength' => true, 'placeholder' => 'No. of Seats', 'id' => 'No_of_Seats','onkeypress' => "return blockSpecialChar(event,'numeric')", 'maxlength' => '10'])
                                                        ->label('No. of Seats <span style="color: red;">*</span>'); ?>
                                                </div>
                                                <div class="col-md-4 form-group">
                                                    <?= $form->field($model, 'No_of_Biometric_Devices')->textInput(['maxlength' => true, 'placeholder' => 'No. of Biometric Devices', 'id' => 'No_of_Biometric_Devices', 'onkeypress' => "return blockSpecialChar(event,'numeric')",'maxlength' => '10'])
                                                        ->label('No. of Biometric Devices <span style="color: red;">*</span>'); ?>
                                                </div>

                                            </div>

                                            <div class="row">

                                                <!-- First Column -->
                                                <div class="col-md-4">

                                                    <div class="form-group">
                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'InfrastructureCheck')->checkbox([
                                                                'label' => 'Infrastructure check',
                                                                'uncheck' => 0,
                                                                'checked' => $model->InfrastructureCheck ? true : false,
                                                                'value' => 1,
                                                                'class' => 'form-control',
                                                                'id' => 'InfrastructureCheck',
                                                            ])->label('Infrastructure check') ?>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'CCTV')->checkbox([
                                                                'label' => 'CCTV check',
                                                                'uncheck' => 0,  // value when unchecked
                                                                'checked' => $model->CCTV ? true : false, // set checked status based on model
                                                                'value' => 1,  // value when checked
                                                                'class' => 'form-control',
                                                                'id' => 'CCTV',
                                                            ])->label('CCTV check') ?>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">

                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'SeatingArraangements')->checkbox([
                                                                'label' => 'Seating Arraangements Check',
                                                                'uncheck' => 0,  // value when unchecked
                                                                'checked' => $model->SeatingArraangements ? true : false, // set checked status based on model
                                                                'value' => 1,  // value when checked
                                                                'class' => 'form-control',
                                                                'id' => 'SeatingArraangements',
                                                            ])->label('Seating Arraangements Check') ?>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">

                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'WaterArrangements')->checkbox([
                                                                'label' => 'Water Arrangements Check',
                                                                'uncheck' => 0,  // value when unchecked
                                                                'checked' => $model->WaterArrangements ? true : false, // set checked status based on model
                                                                'value' => 1,  // value when checked
                                                                'class' => 'form-control',
                                                                'id' => 'WaterArrangements',
                                                            ])->label('Water Arrangements Check') ?>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">

                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'RampArrangements')->checkbox([
                                                                'label' => 'Ramp Arrangements Check',
                                                                'uncheck' => 0,  // value when unchecked
                                                                'checked' => $model->RampArrangements ? true : false, // set checked status based on model
                                                                'value' => 1,  // value when checked
                                                                'class' => 'form-control',
                                                                'id' => 'RampArrangements',
                                                            ])->label('Ramp Arrangements Check') ?>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'WashroomsArrangements')->checkbox([
                                                                'label' => 'Washrooms Arrangements Check',
                                                                'uncheck' => 0,  // value when unchecked
                                                                'checked' => $model->WashroomsArrangements ? true : false, // set checked status based on model
                                                                'value' => 1,  // value when checked
                                                                'class' => 'form-control',
                                                                'id' => 'WashroomsArrangements',
                                                            ])->label('Washrooms Arrangements Check') ?>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- Second Column -->
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'EmergencyMedicalKit')->checkbox([
                                                                'label' => 'Emergency medical kit Check',
                                                                'uncheck' => 0,  // value when unchecked
                                                                'checked' => $model->EmergencyMedicalKit ? true : false, // set checked status based on model
                                                                'value' => 1,  // value when checked
                                                                'class' => 'form-control',
                                                                'id' => 'EmergencyMedicalKit',
                                                            ])->label('Emergency medical kit Check') ?>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'WaitingAreaAvailable')->checkbox([
                                                                'label' => 'Waiting area available Check',
                                                                'uncheck' => 0,  // value when unchecked
                                                                'checked' => $model->WaitingAreaAvailable ? true : false, // set checked status based on model
                                                                'value' => 1,  // value when checked
                                                                'class' => 'form-control',
                                                                'id' => 'WaitingAreaAvailable',
                                                            ])->label('Waiting area available Check') ?>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'BackupPowerSupply')->checkbox([
                                                                'label' => 'Backup Power Supply Check',
                                                                'uncheck' => 0,  // value when unchecked
                                                                'checked' => $model->BackupPowerSupply ? true : false, // set checked status based on model
                                                                'value' => 1,  // value when checked
                                                                'class' => 'form-control',
                                                                'id' => 'BackupPowerSupply',
                                                            ])->label('Backup Power Supply Check') ?>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'TechnicalSetupDone')->checkbox([
                                                                'label' => 'Technical Setup done',
                                                                'uncheck' => 0,  // value when unchecked
                                                                'checked' => $model->TechnicalSetupDone ? true : false, // set checked status based on model
                                                                'value' => 1,  // value when checked
                                                                'class' => 'form-control',
                                                                'id' => 'TechnicalSetupDone',
                                                            ])->label('Technical Setup done') ?>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'SystemConfigurationDone')->checkbox([
                                                                'label' => 'System configuration completed',
                                                                'uncheck' => 0,  // value when unchecked
                                                                'checked' => $model->SystemConfigurationDone ? true : false, // set checked status based on model
                                                                'value' => 1,  // value when checked
                                                                'class' => 'form-control',
                                                                'id' => 'SystemConfigurationDone',
                                                            ])->label('System configuration completed') ?>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'BiometricDevicesReady')->checkbox([
                                                                'label' => 'Biometric devices ready',
                                                                'uncheck' => 0,  // value when unchecked
                                                                'checked' => $model->BiometricDevicesReady ? true : false, // set checked status based on model
                                                                'value' => 1,  // value when checked
                                                                'class' => 'form-control',
                                                                'id' => 'BiometricDevicesReady',
                                                            ])->label('Biometric devices ready') ?>
                                                        </div>
                                                    </div>

                                                </div>


                                            </div>
                                            <?php $buttonLabel = (Yii::$app->request->get('id')) ? 'Update' : 'Submit' ?>
                                            <div class="form-group col-md-12">
                                                <?= Html::submitButton($buttonLabel, ['class' => 'btn btn-warning mt-10', 'style' => 'margin-top:40px; float:right', 'id' => 'submitBtn']) ?>
                                            </div>
                                            <?php ActiveForm::end(); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>


    $(function() {

        $('#ExamID').on('change', function() {
            let examID = $(this).val();
            if (examID) {
                $('.overlay').show();
                $.ajax({
                    url: '<?= Yii::$app->urlManager->createUrl('prexamphase/examcenter/get-exam-date') ?>',
                    type: 'POST',
                    data: {
                        examID: examID,
                    },
                    dataType: 'json',
                    success: function(data) {
                        if (data.status === 'success') {
                            $('#ExamDate').html(data.options);
                        } else {
                            $('#ExamDate').html("<option value=''>--Select--</option>");
                        }
                    },
                    complete: function() {
                        // Hide the loader when the request is complete
                        $('.overlay').hide();
                    },
                    error: function() {
                        $('#ExamDate').html("<option value=''>--Select--</option>");
                    }
                });
            } else {
                $('#ExamDate').html("<option value=''>--Select--</option>");
            }

        });

        $('#ExamDate').on('change', function() {
            let examDate = $(this).val();
            let examID = $('#ExamID').val();
            if (ExamDate) {
                $('.overlay').show();
                $.ajax({
                    url: '<?= Yii::$app->urlManager->createUrl('prexamphase/examcenter/get-exam-shift') ?>',
                    type: 'POST',
                    data: {
                        examID: examID,
                        examDate: examDate,
                    },
                    dataType: 'json',
                    success: function(data) {
                        if (data.status === 'success') {
                            $('#ExamShift').html(data.options);
                        } else {
                            $('#ExamShift').html("<option value=''>--Select--</option>");
                        }
                    },
                    complete: function() {
                        // Hide the loader when the request is complete
                        $('.overlay').hide();
                    },
                    error: function() {
                        $('#ExamShift').html("<option value=''>--Select--</option>");
                    }
                });
            } else {
                $('#ExamShift').html("<option value=''>--Select--</option>");
            }

        });
    });
    


    
</script>