<?php

use yii\bootstrap5\Html;
use backend\assets\AppAsset;
use yii\widgets\LinkPager;
use yii\bootstrap5\ActiveForm;
use yii\helpers\Url;

AppAsset::register($this);
$this->title = 'NTA :: Dashboard';
$url = \Yii::getAlias('@webroot');
$u = explode('/', $url);
$baseurl = Yii::$app->params['BASE_PATH_URL'];

?>
<style>
    .tile {
        background-color: #005788;
        /* Blue background color */
        border: 1px solid #005788;
        /* Blue border */
        border-radius: 8px;
        padding: 0;
        /* Remove padding */
        margin: 10px;
        width: 160px;
        /* Set width */
        height: 130px;
        /* Set height */
        display: flex;
        /* Use flexbox */
        justify-content: center;
        /* Center horizontally */
        align-items: center;
        /* Center vertically */
        color: #fff;
        font-size: 22px;
        /* Larger font size */
        text-align: center;
        text-decoration: none;
    }

    .cursor-pointer {
        cursor: pointer !important;
    }

    a:hover {
        text-decoration: none;
        /* Remove underline on hover */
    }

    /* .tileContent {
        font-size: 14px;
        margin-right: 40px;
        font-weight: bold;
        color: #161c2d;
    } */
    @media (max-width: 768px) {
        .check1 {
            width: 100%;
            height: auto;
            font-size: 18px;
        }
    }
</style>
<div class="login-5 mt-30 mb-50">
    <div class="row no-gutters">
        <div class="col-sm-12">
            <div class="container-fluid">
                <div class="card">
                    <?php
                    // Define your breadcrumb array
                    $breadcrumbs = [
                        'Home' => '../dashboard/index',
                        'Exam Monitoring System' => '/prexamphase/index',
                        'Exam Center Readiness' => '/prexamphase/new-index'
                    ];

                    // Function to display breadcrumbs
                    function displayBreadcrumbs($breadcrumbs)
                    {
                        echo '<nav aria-label="breadcrumb">';
                        echo '<ol class="breadcrumb">';
                        foreach ($breadcrumbs as $label => $url) {
                            // echo '<li class="breadcrumb-item"><a href="' . $url . '">' . $label . '</a></li>';
                            echo '<li class="breadcrumb-item">' . Html::a($label, Url::to([$url])) . '</li>';
                        }
                        echo '</ol>';
                        echo '</nav>';
                    }

                    // Call the function to display breadcrumbs
                    displayBreadcrumbs($breadcrumbs);
                    // This will generate /exam/new
                    ?>


                    <div class="card-header">
                        <h4 class="mb-2">Exam Center Readiness</h4>
                    </div>

                    <?php //if (isset($Role) && ($Role == 12 || $Role == 10)) { ?>
                        <div class="card-body">
                            <div class="container-fluid">

                                <div class="row">
                                    <div class="col-lg-3 col-md-4 col-sm-6 mb-3">

                                        <label class="mx-2 mt-1" for="sort_by">Select Exam Name: </label>
                                        <?php ActiveForm::begin(['id' => 'dashboard-form', 'method' => 'get', 'action' => $baseurl . '/prexamphase/examcenter/new-index', 'options' => ['autocomplete' => 'off', 'class' => '',]]); ?>
                                        <select name="AssignedExamID" id="AssignedExamID" class="form-select mx-2 selectBox" onchange="getloader()">
                                            <option value="">--Select--</option>
                                            <?php if (isset($assignedExam) && !empty($assignedExam)):
                                                foreach ($assignedExam as $AssignedExamID => $ExamDisp): ?>
                                                    <option value="<?= $AssignedExamID ?>" <?= Yii::$app->request->get('AssignedExamID') == $AssignedExamID ? ' selected' : '' ?>><?= $ExamDisp ?></option>
                                            <?php endforeach;
                                            endif; ?>
                                        </select>
                                        <?php ActiveForm::end(); ?>
                                    </div>
                                    <div class="row">
                                        <?php $i = 1;
                                        if (isset($listarray) && !empty($listarray)) {
                                            foreach ($listarray as $data) { ?>

                                                <div class="col-lg-3 col-md-4 col-sm-6 mb-3">
                                                    <div class="check1 text-center cursor-pointer">

                                                        <div class="single-item custom-item-1 c<?= $i++; ?>">
                                                            <div class="bg-layer" style="position: absolute; z-index: 1;"></div>
                                                            <h5 class="custom-h5" style="position: relative; z-index: 2;"><?php echo $data['name']; ?></h5><br>
                                                            <h5 class="custom-h5" style="position: relative; z-index: 2;">Total Center : <?php echo $totalAssignedCenter ?? 0 ?></h5></br>
                                                            <div class="mt-30 text-center" style="position: relative; z-index: 2;">
                                                                <?php if (isset($data['check']) && $data['check'] != '') { ?>

                                                                    <a href="<?= $baseurl . '/prexamphase/examcenter/get-checked-center?AssignedExamID=' . urlencode(Yii::$app->masterdata->encrypt($Assigned_exam_ID, Yii::$app->params['encryptionKey'])) . '&ModuleType=' . urlencode(Yii::$app->masterdata->encrypt($data['url'], Yii::$app->params['encryptionKey'])) . '&status=1&ModuleName=' . urlencode(Yii::$app->masterdata->encrypt($data['name'], Yii::$app->params['encryptionKey'])) ?>">
                                                                        <span class="btn btn-success text-left tileContent custom-white-text">Check: <?php echo $data['check']; ?>
                                                                        </span>
                                                                    </a>

                                                                    <a href="<?= $baseurl . '/prexamphase/examcenter/get-uncheked-center?AssignedExamID=' . urlencode(Yii::$app->masterdata->encrypt($Assigned_exam_ID, Yii::$app->params['encryptionKey'])) . '&ModuleType=' . urlencode(Yii::$app->masterdata->encrypt($data['url'], Yii::$app->params['encryptionKey'])) . '&status=0&ModuleName=' . urlencode(Yii::$app->masterdata->encrypt($data['name'], Yii::$app->params['encryptionKey'])) ?>">
                                                                        <span class="btn btn-danger text-right tileContent custom-white-text">Uncheck: <?php echo ((int)$totalAssignedCenter -  (int)$data['check']); ?>
                                                                        </span>
                                                                    </a>
                                                                <?php } else { ?>
                                                                    <span class="text-center" style="font-size: 14px;color:#161c2d;font-weight:bold">Total : <?php echo $data['Total_sum'] ?? 0; ?></span>
                                                                <?php } ?>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>

                                        <?php }
                                        } ?>

                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php //} ?>

                    <?php if (isset($Role) && $Role == 2) { ?>
                        <div class="card-body">
                            <div class="container-fluid">
                                <div class="row">

                                    <div class="col-md-3 col-xs-6">
                                        <a class="" href="<?= $baseurl; ?>/prexamphase/index">
                                            <div class="single-item custom-item-1 c1">
                                                <div class="bg-layer"></div>
                                                <h5 class="custom-h5">Exam Center Readiness</h5>
                                            </div>
                                        </a>
                                    </div>
                                    <div class="col-md-3 col-xs-6">
                                        <a class="" href="<?= $baseurl; ?>/prexamphase/list-page-question">
                                            <div class="single-item custom-item-1 c2">
                                                <div class="bg-layer"></div>
                                                <h5 class="custom-h5">Question Paper Distribution</h5>
                                            </div>
                                        </a>
                                    </div>
                                </div>
                            </div>

                        </div>

                    <?php } ?>

                </div>

            </div>

            <script>
                function getloader() {
                    $('.overlay').show();
                    $('#dashboard-form').submit();
                }
                $('.tileContent').on('click', function() {

                    let ExamID = $('#AssignedExamID').val();
                    if (ExamID == '') {
                        Swal.fire({
                            title: "Warning!",
                            text: "Please select exam name first",
                            icon: "warning"
                        }).then(() => {

                            $("#AssignedExamID").focus();

                        });
                        return false;

                    }
                })
            </script>
            