<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */
/** @var \common\models\LoginForm $model */

use backend\assets\AppAsset;
use yii\widgets\LinkPager;
use yii\bootstrap5\ActiveForm;

AppAsset::register($this);

$this->title = 'Exam Center Readiness Details';
$url = \Yii::getAlias('@webroot');
$u = explode('/', $url);
$baseurl = Yii::$app->params['BASE_PATH_URL'];
?>
<style>
    .table-responsive {
        margin: 20px 0;
    }

    table {
        width: 100%;
        border-collapse: collapse;
    }

    th, td {
        padding: 12px;
        text-align: left;
        border: 1px solid #ddd;
    }

    th {
        background-color: #f4f4f4;
        font-weight: bold;
    }

    tbody tr:nth-child(even) {
        background-color: #f9f9f9;
    }

    tbody tr:hover {
        background-color: #f1f1f1;
    }

    .table-bordered th, .table-bordered td {
        border: 1px solid #ccc;
    }
</style>
<div class="login-5 mt-50 mb-50">
    <div class="row">
        <div class="col-sm-12">
            <div class="content-body">
                <div class="tab-content">
                    <div class="tab-pane active">
                        <div class="row no-gutters">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header  d-flex justify-content-between">
                                        <span href="#" class="font-weight-bold fs-5">Exam Center Readiness Details</span>

                                    </div>

                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table class="table-bordered table-striped" width="100%">
                                                <?php $HeadGesture = Yii::$app->params['HeadGesture'];
                                                 $examShift = Yii::$app->params['ExamShift'];
                                                  ?>
                                                <tbody>
                                                    <?php if(isset($view) && !empty($view)){ $examName = Yii::$app->masterdata->getExamNameByID($view['ExamID']); ?>
                                                    <tr>
                                                        <th>Exam Name</th>
                                                        <td><?= $examName['Exam Name'] ?? '' ;?></td>
                                                        <th>Exam Date</th>
                                                        <td><?= date('d-m-Y', strtotime($view['ExamDate'])) ?? '' ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>Exam Shift</th>
                                                        <td><?= $view['ExamShift'] ?? '' ?></td>
                                                        <th>No. of Seats</th>
                                                        <td><?= $view['No_of_Seats'] ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>No. of BioMetric Devices</th>
                                                        <td><?= $view['No_of_Biometric_Devices'] ?></td>
                                                        <th>Infrastructure check</th>
                                                        <td><?= $HeadGesture[$view['InfrastructureCheck']] ?? ''; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th> CCTV check</th>
                                                        <td><?=  $HeadGesture[$view['CCTV']] ?? '' ;?></td>
                                                        <th>Seating Arraangements Check</th>
                                                        <td><?= $HeadGesture[$view['SeatingArraangements']] ?? ''; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th> Water Arrangements Check</th>
                                                        <td><?=  $HeadGesture[$view['WaterArrangements']] ?? '' ;?></td>
                                                        <th>Ramp Arrangements Check</th>
                                                        <td><?= $HeadGesture[$view['RampArrangements']] ?? ''; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th> Washrooms Arrangements Check</th>
                                                        <td><?=  $HeadGesture[$view['WashroomsArrangements']] ?? '' ;?></td>
                                                        <th>Emergency medical kit Check</th>
                                                        <td><?= $HeadGesture[$view['EmergencyMedicalKit']] ?? ''; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>Waiting area available Check</th>
                                                        <td><?=  $HeadGesture[$view['WaitingAreaAvailable']] ?? '' ;?></td>
                                                        <th>Backup Power Supply Check</th>
                                                        <td><?= $HeadGesture[$view['BackupPowerSupply']] ?? ''; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>Technical Setup done</th>
                                                        <td><?=  $HeadGesture[$view['TechnicalSetupDone']] ?? '' ;?></td>
                                                        <th>System configuration completed</th>
                                                        <td><?= $HeadGesture[$view['SystemConfigurationDone']] ?? ''; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th> Biometric devices ready</th>
                                                        <td colspan="4"><?=  $HeadGesture[$view['BiometricDevicesReady']] ?? '' ;?></td>
                                                    </tr>
                                                    <?php }else{ ?>
                                                    <tr>
                                                        <th colspan="4"> No Data found!</th>
                                                    </tr>
                                                    <?php } ?>

                                                </tbody>
                                            </table>
                                            <br />
                                            <!-- <div id="pagination">
                                                </?php
                                                if ($Pagination !== null) {
                                                    echo LinkPager::widget([
                                                        'pagination' => $Pagination,
                                                        'prevPageLabel' => 'Previous',
                                                        'nextPageLabel' => 'Next',
                                                        'linkContainerOptions' => ['class' => 'page-item'],
                                                        'linkOptions' => ['class' => 'page-link'],
                                                        'disabledPageCssClass' => ['class' => 'page-link'],
                                                        'options' => ['class' => 'pagination  pagination-sm d-flex justify-content-end mb-3']
                                                    ]);
                                                }
                                                ?> -->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
<script>
    function getloader() {
        $('.overlay').show();
        $('#state-form').submit();
    }
</script>