<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */
/** @var \common\models\LoginForm $model */

use yii\bootstrap5\Html;
use edwinhaq\simpleloading\SimpleLoading;
use yii\bootstrap5\ActiveForm;
use yii\web\UploadedFile;
use backend\assets\AppAsset;

AppAsset::register($this);
$this->title = 'Grievances Handling';
$url = \Yii::getAlias('@webroot');
$u = explode('/', $url);
$baseurl = Yii::$app->params['BASE_PATH_URL'];
?>
<style>
    .large-checkbox input[type="checkbox"] {
        transform: scale(1.5);
        /* Increase the scale as needed */
        width: 20px;
        /* Optional: explicitly define width */
        height: 20px;
        /* Optional: explicitly define height */
    }
</style>
<div class="login-5 mt-50 mb-50">
    <div class="row">
        <div class="col-sm-12">
            <div class="content-body">
                <div class="tab-content">
                    <div class="tab-pane active">
                        <div class="row no-gutters">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header">
                                        <span href="#" class="font-weight-bold fs-5"> Grievance Handling</span>
                                    </div>
                                    <div class="card-body">
                                        <div class="custom-form">
                                            <?php $form = ActiveForm::begin(['id' => 'logistic-form', 'method' => 'post', 'action' => '', 'options' => ['autocomplete' => 'off']]); ?>

                                            <div class="row">
                                                <div class="form-group col-4">
                                                    <?php echo $form->field($model, 'ExamID')->dropDownList($assignedExam, ['prompt' => '--Select--', 'id' => 'ExamID', 'class' => 'form-select form-select-lg'])->label('Exam Name <span style="color: red;">*</span>') ?>
                                                </div>
                                                <div class="form-group col-4">
                                                <?php echo $form->field($model, 'ExamDate')->dropDownList($ExamDate, ['prompt' => '--Select--', 'id' => 'ExamDate', 'class' => 'form-select form-select-lg'])->label('Exam Date <span style="color: red;">*</span>') ?>
                                                </div>

                                                <div class="form-group col-4">
                                                    <?php echo $form->field($model, 'ExamShift')->dropDownList($ExamShift, ['id' => 'ExamShift', 'class' => 'form-select form-select-lg','multiple' => 'multiple'])->label('Exam Shift <span style="color: red;">*</span>') ?>
                                                </div>

                                            </div>
                                            <div class="row">
                                       
                                          
                                            <div class="form-group col-md-6">
                                                <div class="checkbox-container">
                                                <?=$form->field($model, 'Grievancesreceived')->checkbox([
                                                'label' => 'Grievances Received',
                                                'uncheck' => 0, // value when unchecked
                                                'checked' => $model->Grievancesreceived ? true : false, // set checked status based on model
                                                'value' => 1, // value when checked
                                                'class' => 'form-control',
                                                'id' => 'Grievancesreceived',
                                                ])->label('Grievances Received')?>
                                                </div>
                                                </div>
                                               

                                                <div class="form-group col-md-6">
                                                <div class="checkbox-container">
                                                <?=$form->field($model, 'Resolutionscompleted')->checkbox([
                                                'label' => 'Certificates Generated',
                                                'uncheck' => 0, // value when unchecked
                                                'checked' => $model->Resolutionscompleted ? true : false, // set checked status based on model
                                                'value' => 1, // value when checked
                                                'class' => 'form-control',
                                                'id' => 'Resolutionscompleted',
                                                ])->label('Resolutions Completed')?>
                                                </div>
                                                </div>
                                                </div>
                                           
                                                <div class="form-group col-md-6">
                                                    <?= $form->field($model, 'Totalgrievances')->textInput([
                                                        'class' => 'form-control',
                                                        'id' => 'Totalgrievances',
                                                        'onkeypress' => "return blockSpecialChar(event, 'numeric')",
                                                        'maxlength'=>25
                                                    ])->label('Total Grievances <span style="color: red;">*</span>') ?>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <?= $form->field($model, 'Pendinggrievances')->textInput([
                                                        'class' => 'form-control',
                                                        'id' => 'Pendinggrievances',
                                                        'onkeypress' => "return blockSpecialChar(event, 'numeric')",
                                                        'maxlength'=>25
                                                    ])->label('Pending Grievances <span style="color: red;">*</span>') ?>
                                                </div>
                                           

                                            <div class="form-group col-md-12">
                                                <?= Html::submitButton('Submit', ['class' => 'btn btn-warning mt-10', 'style' => 'margin-top:40px; float:right', 'id' => 'submitBtn']) ?>
                                            </div>
                                            <?php ActiveForm::end(); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<script>
    $(function() {

        $('#ExamID').on('change', function() {

            let examID = $(this).val();
            console.log(examID);

            if (examID) {
                $.ajax({
                    url: '<?= Yii::$app->urlManager->createUrl('prexamphase/grievancehandling/get-exam-name') ?>',
                    type: 'POST',
                    data: {
                        examID: examID,
                    },
                    dataType: 'json',
                    success: function(data) {
                        if (data.status === 'success') {
                            $('#ExamDate').html(data.options);
                        } else {
                            $('#ExamDate').html("<option value=''>--Select--</option>");
                        }
                    }
                });
            } else {
                $('#ExamDate').html("<option value=''>--Select--</option>");
            }

        });


        jQuery('#ExamShift').multiselect({
            nonSelectedText: '--Select--',
            allSelectedText: 'All Selected',
            nSelectedText: 'Selected',
            includeSelectAllOption: true,
            selectAllText: 'Select All',
            enableFiltering: false,
            filterPlaceholder: 'Search...',
            buttonWidth: '100%',
        });

        $('#ExamDate').on('change', function() {
            let examDate = $(this).val();
            let ExamDateText = $.trim($('#ExamDate option:selected').text());
            $('#ExamDateText').val(ExamDateText);
            //alert(ExamDateText)
            let examID = $('#ExamID').val();

            if (ExamDate) {
                $('.overlay').show();
                $.ajax({
                    url: '<?= Yii::$app->urlManager->createUrl('prexamphase/grievancehandling/get-exam-shift') ?>',
                    type: 'POST',
                    data: {
                        examID: examID,
                        examDate: examDate

                    },
                    dataType: 'json',
                    success: function(response) {
                       
                         jQuery('#ExamShift').empty();
                         
                            $.each(response, function(index, examShiftData) {
                                var date = examShiftData.date; 
                                var shifts = examShiftData.shifts; 
                            
                                $.each(shifts, function(i, shift) {
                                   
                                    var shiftVal = shift.replace(/ (AM|PM)/g, "").replace(/\s+/g, "").replace(/-/g, "-");
                                    $('#ExamShift').append('<option value="' + shiftVal + '">' + shift + '</option>');
                                });
                               
                                
                                $('.overlay').hide();
                            });

                            jQuery('#ExamShift').multiselect('rebuild');
                        },
                        
                    complete: function() {
                       
                        $('.overlay').hide();
                    },
                    error: function() {
                        $('#ExamShift').html("<option value=''>--Select--</option>");
                        $('.overlay').hide();
                    }
                });
            } else {
                $('#ExamShift').html("<option value=''>--Select--</option>");
                $('.overlay').hide();
            }

        });

    })
</script>