<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */
/** @var \common\models\LoginForm $model */

use backend\assets\AppAsset;
use yii\widgets\LinkPager;
use yii\bootstrap5\ActiveForm;

AppAsset::register($this);

$this->title = 'Grievances Handling List';
$url = \Yii::getAlias('@webroot');
$u = explode('/', $url);
$baseurl = Yii::$app->params['BASE_PATH_URL'];
$Role = Yii::$app->user->identity->Role_ID;
?>
<div class="login-5 mt-50 mb-50">
    <div class="row">
        <div class="col-sm-12">
            <div class="content-body">
                <div class="tab-content">
                    <div class="tab-pane active">
                        <div class="row no-gutters">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header  d-flex justify-content-between">
                                        <span href="#" class="font-weight-bold fs-5">Grievances Handling

                                        </span>
                                        <a href="<?= $baseurl . '/prexamphase/grievancehandling/add-grievancehandling' ?>" class="btn btn-success text-end custom-white-text">Add New</a>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12 justify-content-between mt-15">
                                            <?php ActiveForm::begin(['id' => 'certificatesdis-form', 'method' => 'get', 'action' => $baseurl . '/prexamphase/grievancehandling/grievancehandling-list', 'options' => ['autocomplete' => 'off', 'class' => '',]]); ?>

                                            <div class="form-group col-md-2 pull-left ">
                                                <label for="per_page">Items per page:</label>
                                                <select name="per_page" id="per_page" onchange="getloader()">
                                                    <option value="10" <?= Yii::$app->request->get('per_page') == 10 ? ' selected' : '' ?>>10</option>
                                                    <option value="20" <?= Yii::$app->request->get('per_page') == 20 ? ' selected' : '' ?>>20</option>
                                                    <option value="50" <?= Yii::$app->request->get('per_page') == 50 ? ' selected' : '' ?>>50</option>
                                                    <option value="100" <?= Yii::$app->request->get('per_page') == 100 ? ' selected' : '' ?>>100</option>
                                                    <option value="200" <?= Yii::$app->request->get('per_page') == 200 ? ' selected' : '' ?>>200</option>
                                                    <option value="all" <?= Yii::$app->request->get('per_page') == 'all' ? ' selected' : '' ?>>All
                                                    </option>
                                                </select>
                                            </div>
                                            <div class="form-group col-md-4 d-flex pull-left custom-textbox">
                                                <label class="mx-2 mt-1" for="sort_by">Exam: </label>
                                                <select name="AssignedExamID" id="AssignedExamID" class="form-select mx-2" onchange="getloader()">
                                                    <option value="">--Select--</option>
                                                    <?php if (isset($assignedExam) && !empty($assignedExam)):
                                                        foreach ($assignedExam as $AssignedExamID => $ExamDisp): ?>
                                                            <option value="<?= $AssignedExamID ?>" <?= Yii::$app->request->get('AssignedExamID') == $AssignedExamID ? ' selected' : '' ?>><?= $ExamDisp ?></option>
                                                    <?php endforeach;
                                                    endif; ?>
                                                </select>
                                                <label class="mx-2 mt-1" for="sort_by">Date: </label>
                                                <select name="ExamDate" id="ExamDate" class="form-select mx-2" onchange="getloader()">
                                                    <option value="">--Select--</option>
                                                    <?php if (isset($assignedExamdate) && !empty($assignedExamdate)):
                                                        foreach ($assignedExamdate as $AssignedExamID => $ExamDisp): ?>
                                                            <option value="<?= $AssignedExamID ?>" <?= Yii::$app->request->get('ExamDate') == $AssignedExamID ? ' selected' : '' ?>><?= $ExamDisp ?></option>
                                                    <?php endforeach;
                                                    endif; ?>
                                                </select>
                                            </div>
                                            <div class="form-group col-md-6 d-flex pull-right custom-textbox">
                                                <!-- 
                                                <input class="form-control me-2" type="search" placeholder="Search Exam" value="<?= Yii::$app->request->get('exam_search') ?? '' ?>" aria-label="Search" name="exam_search">
                                                <button class="btn btn-success" type="submit">Search</button> -->
                                                <a href="<?= $baseurl . '/prexamphase/grievancehandling/grievancehandling-list'; ?>" class="btn btn-warning ml-1 custom-white-text" onclick="getloader()"> Reset</a>

                                            </div>
                                            <?php ActiveForm::end(); ?>
                                        </div>
                                    </div>

                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table class="table-bordered table-striped" width="100%">
                                                <thead>
                                                    <tr>
                                                        <th>S.No</th>
                                                        <th>Exam Name</th>
                                                        <th>Exam Date</th>
                                                        <th>Exam Shift</th>
                                                        <th>Grievances received</th>
                                                        <th>Resolutions completed</th>
                                                        <th>Total grievances</th>
                                                        <th>Pending grievances</th>
                                                        <!-- <th>Created Date</th> -->
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php
                                                    $k = 1;
                                                    if (isset($certdesData) && !empty($certdesData) && count($certdesData) > 0) { //print_r($logisticData);die;
                                                        foreach ($certdesData as $data) {
                                                            $examName = Yii::$app->masterdata->getExamNameByID($data['ExamID']);


                                                    ?>
                                                            <tr>
                                                                <td><?= $k++; ?></td>
                                                                <td><?= $examName['Exam Name'] ?? ''; ?></td>
                                                                <td><?= date('d-m-Y', strtotime($data['ExamDate'])) ?></td>
                                                                <td><?= $data['ExamShift'] ?? '' ?></td>
                                                                <td><?= $data['Grievancesreceived'] ? 'YES' : 'NO'; ?></td>
                                                                <td><?= $data['Resolutionscompleted'] ? 'YES' : 'NO'; ?></td>
                                                                <td><?= $data['Totalgrievances']; ?></td>
                                                                <td><?= $data['Pendinggrievances']; ?></td>

                                                                <!-- <td><?php //date('d-m-Y', strtotime($data->CreatedDate)) 
                                                                            ?></td> -->
                                                                <td><a href="<?= $baseurl . '/prexamphase/grievancehandling/update-grievancehandling?id=' . urlencode(Yii::$app->masterdata->encrypt($data['ID'], Yii::$app->params['encryptionKey'])) ?>" class="btn btn-success custom-white-text">Edit</a>
                                                                    <a href="<?= $baseurl . '/prexamphase/grievancehandling/view?id=' . urlencode(Yii::$app->masterdata->encrypt($data['ID'], Yii::$app->params['encryptionKey'])) ?>" class="btn btn-warning custom-white-text">View</a>
                                                                </td>
                                                            </tr>
                                                        <?php }
                                                    } else { ?>

                                                        <tr>
                                                            <td colspan="10" class="text-center">Data not found !</td>
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>
                                            </table>
                                            <br />
                                            <!-- <div id="pagination">
                                                </?php
                                                if ($Pagination !== null) {
                                                    echo LinkPager::widget([
                                                        'pagination' => $Pagination,
                                                        'prevPageLabel' => 'Previous',
                                                        'nextPageLabel' => 'Next',
                                                        'linkContainerOptions' => ['class' => 'page-item'],
                                                        'linkOptions' => ['class' => 'page-link'],
                                                        'disabledPageCssClass' => ['class' => 'page-link'],
                                                        'options' => ['class' => 'pagination  pagination-sm d-flex justify-content-end mb-3']
                                                    ]);
                                                }
                                                ?> -->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- <script>
    function getloader() {
        $('.overlay').show();
        $('#state-form').submit();
    }
</script> -->

<script>
    function getloader() {
        $('.overlay').show();
        $('#certificatesdis-form').submit();
    }
</script>


<script>
    $(function() {

        $('#AssignedExamID').on('change', function() {

            let examID = $(this).val();
            console.log(examID);

            if (examID) {
                $.ajax({
                    url: '<?= Yii::$app->urlManager->createUrl('prexamphase/grievancehandling/get-exam-name') ?>',
                    type: 'POST',
                    data: {
                        examID: examID,
                    },
                    dataType: 'json',
                    success: function(data) {
                        if (data.status === 'success') {
                            $('#ExamDate').html(data.options);
                        } else {
                            $('#ExamDate').html("<option value=''>--Select--</option>");
                        }
                    }
                });
            } else {
                $('#ExamDate').html("<option value=''>--Select--</option>");
            }

        })

    })
</script>