<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */
/** @var \common\models\LoginForm $model */

use yii\bootstrap5\Html;
use edwinhaq\simpleloading\SimpleLoading;
use yii\bootstrap5\ActiveForm;
use yii\web\UploadedFile;
use backend\assets\AppAsset;

AppAsset::register($this);
$this->title = 'Logistics & Transport';
$url = \Yii::getAlias('@webroot');
$u = explode('/', $url);
$baseurl = Yii::$app->params['BASE_PATH_URL'];
?>

<style>
    .checkbox-container {
        display: flex;
        align-items: center;
        /* Align vertically */
    }

    .checkbox-container input[type="checkbox"] {
        margin-right: 10px;
        /* Add space between the checkbox and label */
        transform: scale(1.2);
        /* Optional: Scale the checkbox size */
    }

    .form-control {
        height: 40px !important;
    }
</style>
<div class="login-5 mt-50 mb-50">
    <div class="row">
        <div class="col-sm-12">
            <div class="content-body">
                <div class="tab-content">
                    <div class="tab-pane active">
                        <div class="row no-gutters">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header">
                                        <span href="#" class="font-weight-bold fs-5">Logistics & Transport</span>
                                    </div>
                                    <div class="card-body">
                                        <div class="custom-form">
                                            <?php $form = ActiveForm::begin(['id' => 'logistic-form', 'method' => 'post', 'action' => '', 'options' => ['autocomplete' => 'off']]); ?>


                                            <div class="row">

                                                <div class="form-group col-4">
                                                    <?php echo $form->field($model, 'ExamID')->dropDownList($assignedExam, ['prompt' => '--Select--', 'id' => 'ExamID', 'class' => 'form-select form-select-lg'])->label('Exam Name <span style="color: red;">*</span>') ?>
                                                </div>
                                                <div class="form-group col-4">
                                                    <?php echo $form->field($model, 'ExamDate')->dropDownList($ExamDate, ['prompt' => '--Select--', 'id' => 'ExamDate', 'class' => 'form-select form-select-lg'])->label('Exam Date <span style="color: red;">*</span>') ?>

                                                </div>

                                                <div class="form-group col-4">

                                                    <?php echo $form->field($model, 'ExamShift')->dropDownList($ExamShift, ['id' => 'ExamShift', 'class' => 'form-select form-select-lg', 'multiple' => 'multiple'])->label('Exam Shift <span style="color: red;">*</span>') ?>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <?= $form->field($model, 'City')->dropDownList($cityList, [
                                                        'prompt' => 'Select City',
                                                        'class' => 'form-control',
                                                        'id' => 'City'
                                                    ])->label('City') ?>
                                                </div>

                                                <div class="form-group col-md-6">
                                                    <?= $form->field($model, 'NumberOfVehicles')->textInput([
                                                        'class' => 'form-control',
                                                        'id' => 'NumberOfVehicles',
                                                        'onkeypress' => "return blockSpecialChar(event, 'numeric')",
                                                        'maxlength' => 25
                                                    ])->label('Number of Vehicles') ?>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <div class="checkbox-container">
                                                        <?= $form->field($model, 'ExamMaterialsTransported')->checkbox([
                                                            'uncheck' => 0,
                                                            'checked' => $model->ExamMaterialsTransported ? true : false,
                                                            'value' => 1,
                                                            'id' => 'ExamMaterialsTransported',
                                                        ])->label('Exam materials transported') ?>
                                                    </div>
                                                </div>

                                                <div class="form-group col-md-6">
                                                    <div class="checkbox-container">
                                                        <?= $form->field($model, 'TransportationVehiclesDispatched')->checkbox([
                                                            'uncheck' => 0,
                                                            'checked' => $model->TransportationVehiclesDispatched ? true : false,
                                                            'value' => 1,
                                                            'id' => 'TransportationVehiclesDispatched',
                                                        ])->label('Transportation vehicles dispatched') ?>
                                                    </div>
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <?= $form->field($model, 'SecurityPersonnelAssigned')->textInput([
                                                        'class' => 'form-control',
                                                        'id' => 'SecurityPersonnelAssigned'
                                                    ])->label('Security personnel assigned') ?>
                                                </div>
                                            </div>
                                            <?php $buttonLabel = (Yii::$app->request->get('id')) ? 'Update' : 'Submit' ?>
                                            <div class="form-group col-md-12">
                                                <?= Html::submitButton($buttonLabel, ['class' => 'btn btn-warning mt-10', 'style' => 'margin-top:40px; float:right', 'id' => 'submitBtn']) ?>
                                            </div>
                                            <?php ActiveForm::end(); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    $(function() {

        $('#ExamID').on('change', function() {

            let examID = $(this).val();

            if (examID) {
                $('.overlay').show();
                $.ajax({
                    url: '<?= Yii::$app->urlManager->createUrl('prexamphase/logistic/get-exam-date') ?>',
                    type: 'POST',
                    data: {
                        examID: examID,
                    },
                    dataType: 'json',
                    success: function(data) {
                        if (data.status === 'success') {
                            $('#ExamDate').html(data.options);
                        } else {
                            $('#ExamDate').html("<option value=''>--Select--</option>");
                        }
                    },
                    complete: function() {
                        // Hide the loader when the request is complete
                        $('.overlay').hide();
                    },
                    error: function() {
                        $('#ExamDate').html("<option value=''>--Select--</option>");
                    }

                });
            } else {
                $('#ExamDate').html("<option value=''>--Select--</option>");
            }

        })

        jQuery('#ExamShift').multiselect({
            nonSelectedText: '--Select--',
            allSelectedText: 'All Selected',
            nSelectedText: 'Selected',
            includeSelectAllOption: true,
            selectAllText: 'Select All',
            enableFiltering: false,
            filterPlaceholder: 'Search...',
            buttonWidth: '100%',
        });

        $('#ExamDate').on('change', function() {
            let examDate = $(this).val();
            let ExamDateText = $.trim($('#ExamDate option:selected').text());
            $('#ExamDateText').val(ExamDateText);
            let examID = $('#ExamID').val();
            if (examDate) {
                $('.overlay').show();
                $.ajax({
                    url: '<?= Yii::$app->urlManager->createUrl('prexamphase/logistic/get-exam-shift') ?>',
                    type: 'POST',
                    data: {
                        examID: examID,
                        examDate: examDate

                    },
                    dataType: 'json',
                    success: function(response) {
                        // Clear the current exam shifts
                        jQuery('#ExamShift').empty();

                        // // Parse and append new shifts to the Exam Shift multiselect
                        $.each(response, function(index, examShiftData) {
                            var date = examShiftData.date; // date from JSON response
                            var shifts = examShiftData.shifts; // shifts array from JSON response


                            // Append each shift as an option
                            $.each(shifts, function(i, shift) {

                                var shiftVal = shift.replace(/ (AM|PM)/g, "").replace(/\s+/g, "").replace(/-/g, "-");
                                $('#ExamShift').append('<option value="' + shiftVal + '">' + shift + '</option>');
                            });
                            // Append the optgroup to the select

                            $('.overlay').hide();
                        });

                        // Refresh the multiselect after adding options
                        jQuery('#ExamShift').multiselect('rebuild');
                    },


                    complete: function() {
                        // Hide the loader when the request is complete
                        $('.overlay').hide();
                    },
                    error: function() {
                        $('#ExamShift').html("<option value=''>--Select--</option>");
                        $('.overlay').hide();
                    }
                });
            } else {
               
                //$('#ExamShift').html("<option value=''>--Select--</option>");
                jQuery('#ExamShift').empty();
                jQuery('#ExamShift').multiselect('rebuild');
                $('.overlay').hide();
            }

        });

    })
</script>