<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */
/** @var \common\models\LoginForm $model */

use backend\assets\AppAsset;
use yii\widgets\LinkPager;
use yii\bootstrap5\ActiveForm;

AppAsset::register($this);

$this->title = 'Question List';
$url = \Yii::getAlias('@webroot');
$u = explode('/', $url);
$baseurl = Yii::$app->params['BASE_PATH_URL'];
?>
<div class="login-5 mt-50 mb-50">
    <div class="row">
        <!-- <div class="col-sm-4">
            </?= $this->render('@app/modules/dashboard/views/dashboard/left-side') ?>
        </div> -->
        <div class="col-sm-12">
            <div class="content-body">
                <div class="tab-content">
                    <div class="tab-pane active">
                        <div class="row no-gutters">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header  d-flex justify-content-between" >
                                        <span href="#" class="font-weight-bold fs-5">Question List</span>
                                        <a href="<?= $baseurl . '/prexamphase/add-page-question' ?>" class="btn btn-success text-end custom-white-text">Add New</a>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12 justify-content-between mt-15">
                                            <?php ActiveForm::begin(['id' => 'zone-form', 'method' => 'get', 'action' => $baseurl . '/prexamphase/list-page-question', 'options' => ['autocomplete' => 'off', 'class' => '',]]); ?>

                                            <div class="form-group col-md-2 pull-left ">
                                                <label for="per_page">Items per page:</label>
                                                <select name="per_page" id="per_page" onchange="getloader()">
                                                    <option value="10" <?= Yii::$app->request->get('per_page') == 10 ? ' selected' : '' ?>>10</option>
                                                    <option value="20" <?= Yii::$app->request->get('per_page') == 20 ? ' selected' : '' ?>>20</option>
                                                    <option value="50" <?= Yii::$app->request->get('per_page') == 50 ? ' selected' : '' ?>>50</option>
                                                    <option value="100" <?= Yii::$app->request->get('per_page') == 100 ? ' selected' : '' ?>>100</option>
                                                    <option value="200" <?= Yii::$app->request->get('per_page') == 200 ? ' selected' : '' ?>>200</option>
                                                    <option value="all" <?= Yii::$app->request->get('per_page') == 'all' ? ' selected' : '' ?>>All
                                                    </option>
                                                </select>
                                            </div>
                                            <div class="form-group col-md-4 d-flex pull-right custom-textbox">

                                                <input class="form-control me-2" type="search" placeholder="Search " value="<?= Yii::$app->request->get('zone_search') ?? '' ?>" aria-label="Search" name="zone_search">
                                                <button class="btn btn-success" type="submit">Search</button>
                                                <a href="<?= $baseurl . '/prexamphase/list-page-question'; ?>" class="btn btn-warning ml-1 custom-white-text" onclick="getloader()"> Reset</a>
                                            </div>
                                            <?php ActiveForm::end(); ?>
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table class="table-bordered table-striped" width="100%">
                                                <thead>
                                                    <tr>
                                                        <th>S.No</th>
                                                        <th> Name</th>
                                                        <th>Created Date</th>
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php
                                                    $k = 1;
                                                    if (isset($zone) && !empty($zone)) {
                                                        foreach ($zone as $data) { ?>
                                                            <tr>
                                                                <td><?= $k++; ?></td>
                                                                <td><?= $data['ZoneName'] ?></td>
                                                                <td><?= date('d-m-Y', strtotime($data['CreatedAt'])) ?></td>
                                                                <td><a href="<?= $baseurl . '/master/update-zone-master?ZID=' . urlencode(Yii::$app->masterdata->encrypt($data['ID'],Yii::$app->params['encryptionKey'])); ?>" class="btn btn-success custom-white-text">Edit</a></td>
                                                            </tr>
                                                        <?php }
                                                    } else { ?>

                                                        <tr>
                                                            <td colspan="4" class="text-center">Data not found !!</td>
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>
                                            </table>
                                            <br/>
                                            <div id="pagination">
                                                <?php
                                                if ($Pagination !== null) {
                                                    echo LinkPager::widget([
                                                        'pagination' => $Pagination,
                                                        'prevPageLabel' => 'Previous',
                                                        'nextPageLabel' => 'Next',
                                                        'linkContainerOptions' => ['class' => 'page-item'],
                                                        'linkOptions' => ['class' => 'page-link'],
                                                        'disabledPageCssClass' => ['class' => 'page-link'],
                                                        'options' => ['class' => 'pagination  pagination-sm d-flex justify-content-end mb-3']
                                                    ]);
                                                }
                                                ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function getloader() {
        $('.overlay').show();
        $('#zone-form').submit();
    }
</script>