<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */
/** @var \common\models\LoginForm $model */

use yii\bootstrap5\Html;
use edwinhaq\simpleloading\SimpleLoading;
use yii\bootstrap5\ActiveForm;
use yii\web\UploadedFile;
use backend\assets\AppAsset;

AppAsset::register($this);

$this->title = 'Question';
$url = \Yii::getAlias('@webroot');
$u = explode('/', $url);
$baseurl = Yii::$app->params['BASE_PATH_URL'];
?>
<div class="login-5 mt-50 mb-50">
    <div class="row">
        <div class="col-sm-12">
            <div class="content-body">
                <div class="tab-content">
                    <div class="tab-pane active">
                        <div class="row no-gutters">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header">
                                        <span href="#" class="font-weight-bold fs-5"> Question</span>
                                    </div>
                                    <div class="card-body">
                                        <div class="custom-form">
                                            <?php $form = ActiveForm::begin(['id' => 'logistic-form', 'method' => 'post', 'action' => '', 'options' => ['autocomplete' => 'off']]); ?>

                                            <div class="row">
                                                <div class="form-group col-4">
                                                    <?php echo $form->field($model, 'ExamID')->dropDownList($assignedExam, ['prompt' => '--Select--', 'id' => 'ExamID', 'class' => 'form-select form-select-lg'])->label('Exam Name <span style="color: red;">*</span>') ?>
                                                </div>
                                                <div class="form-group col-4">
                                                    <?php echo $form->field($model, 'ExamDate')->dropDownList($ExamDate, ['prompt' => '--Select--', 'id' => 'ExamDate', 'class' => 'form-select form-select-lg'])->label('Exam Date <span style="color: red;">*</span>') ?>
                                                </div>

                                                <div class="form-group col-4">

                                                    <?php echo $form->field($model, 'ExamShift')->dropDownList($ExamShift, ['id' => 'ExamShift', 'class' => 'form-select form-select-lg', 'multiple' => 'multiple'])->label('Exam Shift <span style="color: red;">*</span>') ?>
                                                </div>

                                                <div class="form-group col-4">
                                                    <!-- </?php echo $form->field($model, 'ExamDateShift')->Input(['value' => date('d-m-Y', strtotime($model->ExamDate))])->label(false) ?> -->
                                                    <?= $form->field($model, 'ExamDateText')->HiddenInput(['class' => "form-control form-control-sm", 'value' => $model->ExamDate, 'id' => 'ExamDateText'])->label(false) ?>
                                                </div>



                                            </div>
                                            <div class="form-group col-12">
                                                <label>Question papers printed<span class="astric-sign text-danger">*</span></label>

                                                <?= $form->field($model, 'Questionpapersprinted')->checkbox(['placeholder' => 'Question papers printed', 'class' => "form-control form-control-sm", 'onkeypress' => "return blockSpecialChar(event,'alpha')", 'id' => 'Questionpapersprinted'])->label(false) ?>
                                            </div>

                                            <div class="form-group col-12">
                                                <label>Question papers dispatched to centers <span class="astric-sign text-danger">*</span></label>

                                                <?= $form->field($model, 'Questionpapersdispatchedtocenters')->checkbox(['placeholder' => 'Question papers dispatched to centers ', 'class' => "form-control form-control-sm", 'onkeypress' => "return blockSpecialChar(event,'alpha')",  'id' => 'Questionpapersdispatchedtocenters'])->label(false) ?>
                                            </div>
                                            <div class="form-group col-12">
                                                <label>Number of sets prepared<span class="astric-sign text-danger">*</span></label>

                                                <?= $form->field($model, 'Numberofsetsprepared')->textInput(['placeholder' => 'Enter Number of sets prepared', 'class' => "form-control form-control-sm",  'id' => 'Numberofsetsprepared', 'onkeypress' => "return blockSpecialChar(event, 'numeric')"])->label(false) ?>
                                            </div>

                                            <div class="form-group col-12">
                                                <label>Number of centers allocated <span class="astric-sign text-danger">*</span></label>

                                                <?= $form->field($model, 'Numberofcentersallocated')->textInput(['placeholder' => 'Number of centers allocated', 'class' => "form-control form-control-sm",   'id' => 'Numberofcentersallocated', 'onkeypress' => "return blockSpecialChar(event, 'numeric')"])->label(false) ?>
                                            </div>



                                            <div class="form-group col-md-12">
                                                <?= Html::submitButton('Submit', ['class' => 'btn btn-warning mt-10', 'style' => 'margin-top:40px; float:right', 'id' => 'submitBtn']) ?>
                                            </div>
                                            <?php ActiveForm::end(); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<script>
    $(function() {

        $('#ExamID').on('change', function() {

            let examID = $(this).val();

            if (examID) {
                $.ajax({
                    url: '<?= Yii::$app->urlManager->createUrl('prexamphase/question/get-exam-name') ?>',
                    type: 'POST',
                    data: {
                        examID: examID,
                    },
                    dataType: 'json',
                    success: function(data) {
                        console.log(data);
                        if (data.status === 'success') {
                            $('#ExamDate').html(data.options);
                        } else {
                            $('#ExamDate').html("<option value=''>--Select--</option>");
                        }
                    }
                });
            } else {
                $('#ExamDate').html("<option value=''>--Select--</option>");
            }

        });

        jQuery('#ExamShift').multiselect({
            nonSelectedText: '--Select--',
            allSelectedText: 'All Selected',
            nSelectedText: 'Selected',
            includeSelectAllOption: true,
            selectAllText: 'Select All',
            enableFiltering: false,
            filterPlaceholder: 'Search...',
            buttonWidth: '100%',
        });

        $('#ExamDate').on('change', function() {
            let examDate = $(this).val();
            let ExamDateText = $.trim($('#ExamDate option:selected').text());
            $('#ExamDateText').val(ExamDateText);
            let examID = $('#ExamID').val();
            if (examDate) {
                $('.overlay').show();
                $.ajax({
                    url: '<?= Yii::$app->urlManager->createUrl('prexamphase/question/get-exam-shift') ?>',
                    type: 'POST',
                    data: {
                        examID: examID,
                        examDate: examDate

                    },
                    dataType: 'json',
                    success: function(response) {
                        // Clear the current exam shifts
                        jQuery('#ExamShift').empty();

                        // // Parse and append new shifts to the Exam Shift multiselect
                        $.each(response, function(index, examShiftData) {
                            var date = examShiftData.date; // date from JSON response
                            var shifts = examShiftData.shifts; // shifts array from JSON response


                            // Append each shift as an option
                            $.each(shifts, function(i, shift) {

                                var shiftVal = shift.replace(/ (AM|PM)/g, "").replace(/\s+/g, "").replace(/-/g, "-");
                                $('#ExamShift').append('<option value="' + shiftVal + '">' + shift + '</option>');
                            });
                            // Append the optgroup to the select

                            $('.overlay').hide();
                        });

                        // Refresh the multiselect after adding options
                        jQuery('#ExamShift').multiselect('rebuild');
                    },


                    complete: function() {
                        // Hide the loader when the request is complete
                        $('.overlay').hide();
                    },
                    error: function() {
                        $('#ExamShift').html("<option value=''>--Select--</option>");
                        $('.overlay').hide();
                    }
                });
            } else {
               
                //$('#ExamShift').html("<option value=''>--Select--</option>");
                jQuery('#ExamShift').empty();
                jQuery('#ExamShift').multiselect('rebuild');
                $('.overlay').hide();
            }

        });

    })
</script>