<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */
/** @var \common\models\LoginForm $model */

use backend\assets\AppAsset;
use yii\widgets\LinkPager;
use yii\bootstrap5\ActiveForm;

AppAsset::register($this);

$this->title = 'Security & Surveillance';
$url = \Yii::getAlias('@webroot');
$u = explode('/', $url);
$baseurl = Yii::$app->params['BASE_PATH_URL'];
$breadcrumbs = [
    'Security & Surveillance' => '/prexamphase/security/list?AssignedExamID=' . Yii::$app->masterdata->decrypt(urldecode(Yii::$app->request->get('AssignedExamID')),Yii::$app->params['encryptionKey']),
    Yii::$app->masterdata->decrypt(urldecode(Yii::$app->request->get('ModuleName')),Yii::$app->params['encryptionKey']) => '/prexamphase/security/list?AssignedExamID=' . Yii::$app->masterdata->decrypt(urldecode(Yii::$app->request->get('AssignedExamID')),Yii::$app->params['encryptionKey']),
    Yii::$app->masterdata->getExamNameByID($AssignedExamID)['Exam Name'] => ''
];
?>
<style>
    .breadcrumb {
        background-color: #f2f4f5 !important;
        font-size: 14px !important;
    }

    .breadcrumb-item.active {
        color: red;
    }
</style>
<div class="login-5 mt-50 mb-50">
    <div class="row">
        <div class="col-sm-12">
            <div class="content-body">
                <div class="tab-content">
                    <div class="tab-pane active">
                        <div class="row no-gutters">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header d-flex justify-content-between">
                                        <?= Yii::$app->masterdata->displayBreadcrumbs($breadcrumbs); ?>
                                    </div>

                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table class="table-bordered table-striped" width="100%">
                                                <thead>
                                                    <tr>
                                                        <th>S.No</th>
                                                        <th>User ID</th>
                                                        <th>Email</th>
                                                        <th>Mobile</th>
                                                        <th>Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php


                                                    $k = 1;
                                                    if (isset($checkedList) && !empty($checkedList) && count($checkedList) > 0) {
                                                        foreach ($checkedList as $data) {
                                                            $status = Yii::$app->request->get('status');
                                                            $userID = ($status == 1) ? $data['UserID'] : $data;
                                                            $PersonalData = Yii::$app->masterdata->getMobileEmailByUserID($userID);

                                                    ?>
                                                            <tr>
                                                                <td><?= $k++; ?></td>
                                                                <td><?= $userID ?? ''; ?></td>
                                                                <td><?= $PersonalData['Center_Head_Email'] ?? ''; ?></td>
                                                                <td><?= $PersonalData['Center_Head_Number'] ?? ''; ?></td>
                                                                <td>
                                                                <?php if(isset($data['ID']) && !empty($data['ID'])){?>
                                                                    <a href="<?= $baseurl . '/prexamphase/security/view?id=' . urlencode(Yii::$app->masterdata->encrypt($data['ID'], Yii::$app->params['encryptionKey'])) ?>" class="btn btn-warning custom-white-text">View</a>
                                                                <?php }else{
                                                                    echo " - ";
                                                                }
                                                                ?>
                                                                </td>
                                                            </tr>
                                                        <?php }
                                                    } else { ?>

                                                        <tr>
                                                            <td colspan="5" class="text-center">Data not found !</td>
                                                        </tr>
                                                    <?php } ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
<script>
    function getloader() {
        $('.overlay').show();
        $('#state-form').submit();
    }
</script>