<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */
/** @var \common\models\LoginForm $model */

use backend\assets\AppAsset;
use yii\widgets\LinkPager;
use yii\bootstrap5\ActiveForm;

AppAsset::register($this);

$this->title = 'Security & Surveillance';
$url = \Yii::getAlias('@webroot');
$u = explode('/', $url);
$baseurl = Yii::$app->params['BASE_PATH_URL'];
?>
<style>
    .table-responsive {
        margin: 20px 0;
    }

    table {
        width: 100%;
        border-collapse: collapse;
    }

    th,
    td {
        padding: 12px;
        text-align: left;
        border: 1px solid #ddd;
    }

    th {
        background-color: #f4f4f4;
        font-weight: bold;
    }

    tbody tr:nth-child(even) {
        background-color: #f9f9f9;
    }

    tbody tr:hover {
        background-color: #f1f1f1;
    }

    .table-bordered th,
    .table-bordered td {
        border: 1px solid #ccc;
    }
</style>
<div class="login-5 mt-50 mb-50">
    <div class="row">
        <div class="col-sm-12">
            <div class="content-body">
                <div class="tab-content">
                    <div class="tab-pane active">
                        <div class="row no-gutters">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header  d-flex justify-content-between">
                                        <span href="#" class="font-weight-bold fs-5">Security & Surveillance</span>

                                    </div>

                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table class="table-bordered table-striped" width="100%">
                                                <?php $HeadGesture = Yii::$app->params['HeadGesture'];
                                                
                                                $examName = Yii::$app->masterdata->getExamNameByID($view['ExamID']); ?>
                                                <tbody>
                                                    <tr>
                                                        <th>Exam Name</th>
                                                        <td><?= $examName['Exam Name'] ?? ''; ?></td>
                                                        <th>Exam Date</th>
                                                        <td><?= date('d-m-Y', strtotime($view['ExamDate'])) ?? '' ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>Exam Shift</th>
                                                        <td><?= $view['ExamShift'] ?? '' ?></td>
                                                        <th>CCTV monitoring active</th>
                                                        <td><?= $HeadGesture[$view['CCTVMonitor']] ?? ''; ?></td>
                                                    </tr>
                                                    <tr>

                                                        <th>Security breaches recorded</th>
                                                        <td><?= $HeadGesture[$view['SecurityBreaches']] ?? ''; ?></td>
                                                        <?php if($view['SecurityBreaches']==1){?>
                                                           <th>Security Details</th>
                                                           <td><?= $view['SecurityDetails'] ?? ''; ?></td> 
                                                        <?php } else { ?>
                                                            <th></th>
                                                            <td></td>
                                                        <?php } ?>
                                                    </tr>
                                                    <tr>
                                                        
                                                        <th>Incidents reported</th>
                                                        <td><?= $HeadGesture[$view['IncidentReported']] ?? ''; ?></td>
                                                        <?php if($view['IncidentReported']==1){?>
                                                           <th>Incident Details</th>
                                                           <td><?= $view['IncidentDetails'] ?? ''; ?></td> 
                                                        <?php } else { ?>
                                                            <th></th>
                                                            <td></td>
                                                        <?php } ?>
                                                        
                                                    </tr>

                                                    <tr>
                                                    <th>No. Of Security personnel on duty *</th>
                                                    <td colspan="3"><?=$view['No_of_security_personal'] ?? ''; ?></td>
                                                        
                                                    </tr>
                                                   

                                                    

                                                </tbody>
                                            </table>
                                            <br />
                                            <!-- <div id="pagination">
                                                </?php
                                                if ($Pagination !== null) {
                                                    echo LinkPager::widget([
                                                        'pagination' => $Pagination,
                                                        'prevPageLabel' => 'Previous',
                                                        'nextPageLabel' => 'Next',
                                                        'linkContainerOptions' => ['class' => 'page-item'],
                                                        'linkOptions' => ['class' => 'page-link'],
                                                        'disabledPageCssClass' => ['class' => 'page-link'],
                                                        'options' => ['class' => 'pagination  pagination-sm d-flex justify-content-end mb-3']
                                                    ]);
                                                }
                                                ?> -->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
<script>
    function getloader() {
        $('.overlay').show();
        $('#state-form').submit();
    }
</script>