<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap5\ActiveForm $form */
/** @var \common\models\LoginForm $model */

use yii\bootstrap5\Html;
use edwinhaq\simpleloading\SimpleLoading;
use yii\bootstrap5\ActiveForm;
use yii\web\UploadedFile;
use backend\assets\AppAsset;

AppAsset::register($this);
$this->title = 'System Monitoring Online';
$url = \Yii::getAlias('@webroot');
$u = explode('/', $url);
$baseurl = Yii::$app->params['BASE_PATH_URL'];
?>
<style>
    .checkbox-container {
        display: flex;
        align-items: center;
        /* Align vertically */
    }

    .checkbox-container input[type="checkbox"] {
        margin-right: 10px;
        /* Add space between the checkbox and label */
        transform: scale(1.2);
        /* Optional: Scale the checkbox size */
    }
    .form-control {
        height: 40px !important;
    }
     /* Font size for the selected item */
     .select2-container--default .select2-selection--single .select2-selection__rendered {
        font-size: 16px; /* Change this to your desired font size */
    }

    /* Font size for the dropdown options */
    .select2-container--default .select2-results__option {
        font-size: 16px; /* Change this to your desired font size */
    }
</style>
<div class="login-5 mt-50 mb-50">
    <div class="row">
        <!-- <div class="col-sm-4">
            </?= $this->render('@app/modules/dashboard/views/dashboard/left-side') ?>
        </div> -->
        <div class="col-sm-12">
            <div class="content-body">
                <div class="tab-content">
                    <div class="tab-pane active">
                        <div class="row no-gutters">
                            <div class="col-sm-12">
                                <div class="card">
                                    <div class="card-header">
                                        <span href="#" class="font-weight-bold fs-5">System Monitoring Online</span>
                                    </div>
                                    <div class="card-body">
                                        <div class="custom-form">
                                            <?php $form = ActiveForm::begin(['id' => 'answerkey-form', 'method' => 'post', 'options' => ['autocomplete' => 'off']]); ?>
                                            <div class="row">
                                                <div class="form-group col-4">
                                                    <?php echo $form->field($model, 'ExamID')->dropDownList($assignedExam, ['prompt' => '--Select--', 'id' => 'ExamID', 'class' => 'form-select form-select-lg'])->label('Exam Name <span style="color: red;">*</span>') ?>
                                                </div>
                                                <div class="form-group col-4">
                                                    <?php echo $form->field($model, 'ExamDate')->dropDownList($ExamDate, ['prompt' => '--Select--', 'id' => 'ExamDate', 'class' => 'form-select form-select-lg','value' => date('d-m-Y',strtotime($model->ExamDate))])->label('Exam Date <span style="color: red;">*</span>') ?>
                                                </div>

                                                <div class="form-group col-4">
                                                <?php echo $form->field($model, 'ExamShift')->dropDownList($ExamShift, ['prompt' => '--Select--', 'id' => 'ExamShift', 'class' => 'form-select form-select-lg selectBoxMultiple','multiple' => 'multiple'])->label('Exam Shift <span style="color: red;">*</span>') ?>
                                                </div>

                                            </div>

                                            <div class="row">

                                                <!-- First Column -->
                                                <div class="col-md-4">

                                                    <div class="form-group">
                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'SystemPerformance')->checkbox([
                                                                'label' => 'System performance',
                                                                'uncheck' => 0,
                                                                'checked' => $model->SystemPerformance ? true : false,
                                                                'value' => 1,
                                                                'class' => 'form-control',
                                                                'id' => 'SystemPerformance',
                                                            ])->label('System performance') ?>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-4">

                                                    <div class="form-group">
                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'NetworkStability')->checkbox([
                                                                'label' => 'Network stability',
                                                                'uncheck' => 0,
                                                                'checked' => $model->NetworkStability ? true : false,
                                                                'value' => 1,
                                                                'class' => 'form-control',
                                                                'id' => 'NetworkStability',
                                                            ])->label('Network stability') ?>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="col-md-4">

                                                    <div class="form-group">
                                                        <div class="checkbox-container">
                                                            <?= $form->field($model, 'SystemOperational')->checkbox([
                                                                'label' => 'Systems operational',
                                                                'uncheck' => 0,
                                                                'checked' => $model->SystemOperational ? true : false,
                                                                'value' => 1,
                                                                'class' => 'form-control',
                                                                'id' => 'SystemOperational',
                                                            ])->label('Systems operational') ?>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                            <div class="row">
                                                <div class="col-md-4 form-group">
                                                    <?= $form->field($model, 'Downtime')->textInput(['maxlength' => true, 'placeholder' => 'Downtime in hours', 'id' => 'Downtime','step' => '0.01', 'type' => 'number'])
                                                        ->label('Downtime in hours <span style="color: red;">*</span>'); ?>
                                                </div>
                                                <div class="col-md-4 form-group">
                                                    <?= $form->field($model, 'StudentLoggedIn')->textInput(['maxlength' => true, 'placeholder' => 'Students logged in', 'id' => 'StudentLoggedIn','onkeypress' => "return blockSpecialChar(event, 'numeric')",'maxlength'=>10])
                                                        ->label('Students logged in <span style="color: red;">*</span>'); ?>
                                                </div>

                                                <div class="form-group col-4">
                                               
                                                <?= $form->field($model, 'TechnicalIssues')->textarea([
                                                    'rows' => 2, // Adjust the number of rows as needed
                                                    'class' => 'form-control',
                                                    'id' => 'TechnicalIssues',
                                                    'maxlength'=>'500',
                                                    'placeholder' => 'Write here...'
                                                ])->label('Technical issues') ?>
                                            </div>
                                            </div>

                                            <?php $buttonLabel = (Yii::$app->request->get('id')) ? 'Update' : 'Submit' ?>
                                            <div class="form-group col-md-12">
                                                <?= Html::submitButton($buttonLabel, ['class' => 'btn btn-warning mt-10', 'style' => 'margin-top:40px; float:right', 'id' => 'submitBtn']) ?>
                                            </div>
                                            <?php ActiveForm::end(); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    $(function() {

        $('#ExamID').on('change', function() {

            let examID = $(this).val();
            console.log(examID);

            if (examID) {
                $('.overlay').show();
                $.ajax({
                    url: '<?= Yii::$app->urlManager->createUrl('prexamphase/systmonitoronline/get-exam-date') ?>',
                    type: 'POST',
                    data: {
                        examID: examID,
                    },
                    dataType: 'json',
                    success: function(data) {
                        if (data.status === 'success') {
                            $('#ExamDate').html(data.options);
                        } else {
                            $('#ExamDate').html("<option value=''>--Select--</option>");
                        }
                    },
                    complete: function() {
                        // Hide the loader when the request is complete
                        $('.overlay').hide();
                    },
                    error: function() {
                        $('#ExamDate').html("<option value=''>--Select--</option>");
                    }
                });
            } else {
                $('#ExamDate').html("<option value=''>--Select--</option>");
            }

        });
        $('#ExamDate').on('change', function() {
            let examDate = $(this).val();
            let examID = $('#ExamID').val();
            if (ExamDate) {
                $('.overlay').show();
                $.ajax({
                    url: '<?= Yii::$app->urlManager->createUrl('prexamphase/security/get-exam-shift') ?>',
                    type: 'POST',
                    data: {
                        examID: examID,
                        examDate: examDate,
                    },
                    dataType: 'json',
                    success: function(data) {
                        if (data.status === 'success') {
                            $('#ExamShift').html(data.options);
                        } else {
                            $('#ExamShift').html("<option value=''>--Select--</option>");
                        }
                    },
                    complete: function() {
                        // Hide the loader when the request is complete
                        $('.overlay').hide();
                    },
                    error: function() {
                        $('#ExamShift').html("<option value=''>--Select--</option>");
                    }
                });
            } else {
                $('#ExamShift').html("<option value=''>--Select--</option>");
            }

        });

    })
</script>